List asset inputs data in an organization.

This endpoint will return data collected from the inputs of your organization's assets based on the time parameters passed in. Results are paginated. If you include an endTime, the endpoint will return data up until that point. If you don’t include an endTime, you can continue to poll the API real-time with the pagination cursor that gets returned on every call. The endpoint will only return data up until the endTime that has been processed by the server at the time of the original request. You will need to request the same [startTime, endTime) range again to receive data for assets processed after the original request time. This endpoint sorts data by time ascending.

Rate limit: 10 requests/sec (learn more about rate limits here).

To use this endpoint, select Read Assets under the Assets category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
ids
array of strings
required

Comma-separated list of asset IDs. Limited to 100 ID's for each request.

ids*
string
enum
required

Input stat type to query for. Valid values: auxInput1, auxInput2, auxInput3, auxInput4, auxInput5, auxInput6, auxInput7, auxInput8, auxInput9, auxInput10, auxInput11, auxInput12, auxInput13, analogInput1Voltage, analogInput2Voltage, analogInput1Current, analogInput2Current, batteryVoltage

string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

string

An end time in RFC 3339 format. Defaults to never if not provided; if not provided then pagination will not cease, and a valid pagination cursor will always be returned. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

boolean

Optional boolean indicating whether to return external IDs on supported entities

boolean

Optional boolean indicating whether to return tags on supported entities

boolean

Optional boolean indicating whether to return attributes on supported entities

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json